## brightd 0.4.1

=== Makefile ===
PREFIX=$(DESTDIR)/usr
BINDIR=bin/
#NO_X11=1  # (Uncomment this to disable X11 Support)

PACKAGE_VERSION=`awk '/RELEASE/ {print $$3}' brightd.c | tr -d \" | head -n1`

CFLAGS=-g -Wall -pedantic
MAN_NO_X11=1
ifndef NO_X11
MAN_NO_X11=0
A_CFLAGS=-lX11 -lXss -DX11
endif

all: brightd brightd.1

brightd: brightd.c
	gcc $(CFLAGS) $(A_CFLAGS) -o $@ $@.c

brightd.1:
	sed -re 's/^\.nr no_x11 [01]/.nr no_x11 $(MAN_NO_X11)/' brightd.1.tpl > brightd.1

install:
	install -Ds brightd $(PREFIX)/$(BINDIR)/brightd
	install -D brightd.1 $(PREFIX)/share/man/man1/brightd.1

uninstall:
	rm $(PREFIX)/$(BINDIR)/brightd
	rm $(PREFIX)/share/man/man1/brightd.1

clean:
	rm -f brightd brightd.1

# Source tarball generation
source:
	mkdir brightd-$(PACKAGE_VERSION)/
	cp brightd.{1.tpl,c} ChangeLog gpl.txt Makefile README brightd-$(PACKAGE_VERSION)/
	tar cjf brightd-$(PACKAGE_VERSION).tar.bz2 brightd-$(PACKAGE_VERSION)/
	rm -rf brightd-$(PACKAGE_VERSION)/

=== debian/changelog ===
brightd (0.4.1-4) unstable; urgency=medium

  * Add DEP-3 headers, rename the FTCBFS patch.
  * Stop inlining functions used multiple times (Closes: #957057).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 21 Sep 2020 17:18:47 +0200

brightd (0.4.1-3) unstable; urgency=medium

  [ Andrej Shadura ]
  * Actually compare the value read out of /sys/class/power_supply/AC/online
    with '0' (Closes: #934140).
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Provide machine-readable debian/copyright.
  * Machine-readable debian/copyright

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #923266):
    + cross.patch: Make compiler and install substitutable.
    + Let dh_auto_build pass a cross compiler to make.
    + Pass a non-stripping install to make install.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 11 Dec 2019 14:12:49 +0100

brightd (0.4.1-2) unstable; urgency=medium

  * Refresh the patch.
  * Don’t use deprecated /proc/acpi for AC detection
    (Closes: #754494, #757012).
  * Include the reference to the bug number into the patch.
  * Use int for brightness, not char (Closes: #894164).
  * Fix FTBFS with binutils-gold / --as-needed (Closes: #751571).
  * Reword the contradiction in the -e option description (Closes: #799368).
  * Add Vcs-* pointing to dgit.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 05 Sep 2018 14:48:36 +0200

brightd (0.4.1-1) unstable; urgency=low

  * Initial release, pick up from an old package by
    Evgeni Golov <evgeni> (Closes: #419329).

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 07 Feb 2014 23:55:28 +0100

=== debian/control ===
Source: brightd
Section: utils
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper-compat (= 12), libx11-dev, x11proto-scrnsaver-dev, libxss-dev
Standards-Version: 3.9.5
Homepage: https://pberndt.com/Programme/Linux/brightd/
Vcs-Browser: https://salsa.debian.org/debian/brightd
Vcs-Git: https://salsa.debian.org/debian/brightd.git

Package: brightd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: daemon which regulates brightness of LCDs dynamically
 The idea is taken from the way Macs behave: If a user is inactive for
 a certain time, it automatically darkens the screen.
 It is designed for IBM/Lenovo Thinkpads, but works with every display
 which is controllable via /sys/class/backlight/.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="-Dinline= $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- INSTALL='install --strip-program=true'
	chmod 4755 $(CURDIR)/debian/brightd/usr/bin/brightd
	install -m 0644 -D debian/brightd-xsession $(CURDIR)/debian/brightd/etc/X11/Xsession.d/90brightd

.PHONY: override_dh_auto_build override_dh_auto_install

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
opts="downloadurlmangle=s/$/\?ct=raw&sub=att/,versionmangle=s/_/~/" \
https://pberndt.com/Programme/Linux/brightd/_download .*/brightd-(.*)\.tar\.bz2
